    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.sql.SQLWarning

    java.lang.Object
       |
       +----java.lang.Throwable
               |
               +----java.lang.Exception
                       |
                       +----java.sql.SQLException
                               |
                               +----java.sql.SQLWarning

public class SQLWarning
extends SQLException

The SQLWarning class provides information on a database access warnings. Warnings are silently chained to the object whose method caused it to be reported.

See Also:
  getWarnings, getWarnings, getWarnings

##

SQLWarning()
  Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.
SQLWarning(String)
  Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.
SQLWarning(String, String)
  Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.
SQLWarning(String, String, int)
  Construct a fully specified SQLWarning.

##

getNextWarning()
  Get the warning chained to this one
setNextWarning(SQLWarning)
  Add an SQLWarning to the end of the chain.

##

SQLWarning

     public SQLWarning(String reason,
                       String SQLstate,
                       int vendorCode)

  Construct a fully specified SQLWarning.

  Parameters:
    reason - a description of the warning
    SQLState - an XOPEN code identifying the warning
    vendorCode - a database vendor specific warning code

SQLWarning

     public SQLWarning(String reason,
                       String SQLstate)

  Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.

  Parameters:
    reason - a description of the warning
    SQLState - an XOPEN code identifying the warning

SQLWarning

     public SQLWarning(String reason)

  Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.

  Parameters:
    reason - a description of the warning

SQLWarning

     public SQLWarning()

  Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

##

getNextWarning

     public SQLWarning getNextWarning()

  Get the warning chained to this one

  Returns:
    the next SQLException in the chain, null if none

setNextWarning

     public void setNextWarning(SQLWarning w)

  Add an SQLWarning to the end of the chain.

  Parameters:
    w - the new end of the SQLException chain

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.